/**
 *  Title: Controlador de Microondas
 *  Description: Projeto da disciplina Interface Hardware Software
 *  Copyright: Copyright (c) 2004. All rigths reserved to CIn - UFPE
 * Company: CIn - UFPE</p>
 * @author VBA
 * @version 2.0
 */

import remote.*;
import java.rmi.Naming;
import sun.rmi.registry.RegistryImpl;

public class MicroondasServer {

   public MicroondasServer() {
     try {
       MicroondasGUI g = new MicroondasGUI();
       g.setVisible(true);
       RegistryImpl reg = new RegistryImpl(1099);
       MicroondasRemoto m = new MicroondasImpl(g);
       Naming.rebind("rmi://localhost:1099/MicroondasService", m);
     } catch (Exception e) {
       System.out.println("Trouble: " + e);
     }
   }

   public static void main(String args[]) {
     new MicroondasServer();
   }
}
