/**
 *  Title: Controlador de Microondas
 *  Description: Projeto da disciplina Interface Hardware Software
 *  Copyright: Copyright (c) 2004. All rigths reserved to CIn - UFPE
 * Company: CIn - UFPE</p>
 * @author VBA
 * @version 2.0
 */

package remote;

import java.rmi.*;
import java.rmi.server.*;

public class MicroondasImpl extends UnicastRemoteObject implements MicroondasRemoto {

    private MicroondasGUI gui;

    public MicroondasImpl(MicroondasGUI g) throws RemoteException {
        super();
        this.gui = g;
    }

    public void incMin() throws RemoteException {
	   this.gui.incMin();
    }

    public void incSeg() throws RemoteException {
       this.gui.incSeg();
    }
    
    public void cancel() throws RemoteException {
	   this.gui.cancelTime();
    }    

    public void runTime() throws RemoteException {
	   this.gui.runTime();
    }
    
}
