#include <stdio.h>
#include <stdlib.h>

extern int converterParaBCD(int);
extern int calcularVelocidade(int, int);
extern void escreveNoDispositivo(int, int);
extern int converteParaCentenaDeSegundo(char, char, char, char);
extern int calcularTempo();
extern int distancia;


int enviarComando(int codigo) {
    int erro = 0;
    char status[6];
    char pronto[] = "PRONTO";
    FILE *arquivo;

    if(!(arquivo = fopen("/home/bopp/lombada/ponte.dat","r+"))) {
        erro = -1;
    }
    fscanf(arquivo, "%s", &status);
    fclose(arquivo);

    if(!strcmp(status, pronto)) {
        if(!(arquivo = fopen("/home/bopp/lombada/ponte.dat","w"))) {
            erro = -1;
        }
        fprintf(arquivo, "%d", codigo);
        fclose(arquivo);
    }
    else {
        erro = 1;
    }

    return erro;
}

int lerComando() {
    int codigo = 0;
    FILE *arquivo;
    char comando[6];
    char pronto[] = "PRONTO";

    if(!(arquivo = fopen("/home/bopp/lombada/ponte.dat","r+"))) {
        codigo = -1;
    }
    fscanf(arquivo, "%s", &comando);
    fclose(arquivo);

    if(strcmp(comando, pronto)) {
        if(!(arquivo = fopen("/home/bopp/lombada/ponte.dat","r+"))) {
            codigo = -1;
        }
        fscanf(arquivo, "%d", &codigo);
        fclose(arquivo);

        if(!(arquivo = fopen("/home/bopp/lombada/ponte.dat","w"))) {
            codigo = -1;
        }
        fprintf(arquivo, "%s", "PRONTO");
        fclose(arquivo);
    }

    return codigo;
}

int deltaTempo(int a, int b) {
    int c = 0;
    c = a - b;
    return c;
}

void creditos() {
    printf("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");
    printf("Equipe:\n");
    printf("- Adson Luis Aguiar (ala3)\n");
    printf("- Bruno Otvio P. Prado (bopp)\n");
    printf("- Jos Olino de C. Lima Jr. (joclj)\n");
    printf("- Turah Xavier de Almeida (txa)\n\n");
    printf("Professor: Paulo Maciel\n");
    printf("Disciplina: Interface Hardware-Software\n");
    printf("Perodo: 2003.2\n");
    printf("\n\n\nPressione S para voltar ao menu principal...");
}

void configuracoes() {
    printf("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");
    printf("Configuraes do sistema\n");
    printf("Velocidade calculada pelo sistema em Km/h\n\n");
    printf("Distncia entre os sensores(cm): %d\n\n\n", distancia);
    printf("Pressione M para modificar o distncia...\n");
    printf("Pressione S para voltar ao menu...\n");
}

int main() {

    char str[100];
    int opcao;
    int sair = 0;

    printf("Escrita em arquivo: %d\n", enviarComando(69));
    //printf("Leitura do arquivo: %d\n", lerComando());

    while(sair) {
        printf("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");

        printf("\nSistema de Lombada Eletrnica v.1.1\n\n");
        printf("1 - Iniciar sistema\n");
        printf("2 - Configuraes\n");
        printf("3 - Crditos\n");
        printf("4 - Sair\n\n");
        printf("Opo: ");
        scanf("%d", &opcao);

        switch(opcao) {
            case 1:
                break;

            case 2:
                while(1) {
                    char c = getchar();
                    configuracoes();
                    if(c == 's' | c == 'S') { break; }
                    if(c == 'm' | c == 'M') {
                        printf("\nDigite a nova distncia entre os sensores: ");
                        scanf("%d", &distancia);
                    }
                }
                break;

            case 3:
                creditos();
                while(1) {
                    char c = getchar();
                    if(c == 's' | c == 'S') { break; }
                }
                break;

            case 4:
                sair = 1;
                break;

            default:
        }
    }

    return 0;

}