#include <stdio.h>

//portas
int porta_leitura = 0x378;
int porta_escrita = 0x379;

//graficos da interface
char sem1[] = "\n\n\n                                   \n";
char sem2[] = "                                   \n";
char sem3[] = "              Via Norte-Sul        \n";
char sem4[] = "                         |         \n";
char sem5[] = "                         V                   <---\n";
char sem6[] = "                                        Via Leste-Oeste\n";
char sem7[] = "          F   \n";
char sem8[] = "\n                                TT  A\n";
char sem9[] = "              \n";

//strings da tela inicial
char msgInicial[] = "Projeto de Interface Hardware-Software - Semaforo Inteligente\n";
char descricao[] = "\nTem como objetivo o controle de um semaforo, registrando o fluxo de uma via e eventuais infracoes cometidas e tambem visa otimizar o trafego no local\n";
char integrantes[] = "\nProfessor: Paulo Maciel\nIntegrantes: Diego Martins, Diogo Maciel, Evilasio Vilar, Saulo Lopes\n";
char opcoes[] = "\nMenu:\n\n1: Iniciar Simulaao\n2: Selecionar Porta Paralela\n3: Sair\n";
char select[] = "\nSelecione sua opao (1, 2 ou 3)\n";
char opcaoInvalida[] = "\nFoi digitada uma opao invalida\n";

//string da tela de sinal
char telaSinal[] = "\nSinal iniciado...\n";

//strings da tela porta
char telaPorta[] = "\nSelecionar Porta Paralela:\n\n1: LPT1\n2: LPT2\n3: LPT3\n4: LPT4\n";
char selectPorta[] = "\nSelecione sua opao (1, 2, 3 ou 4)\n";

int nivelEscalonamento;
int sinalLOFechado;
int tempoLO, tempoNS;
int fluxoNS, fluxoLO;
char mudancaNivel[] = "Politica de Escalonamento Nivel";
char infracao[] = "Ultima Infraao: Nenhuma\n";

extern void acendeLuz(int numeroLuz);
extern int getEntrada();

void imprimeMapa() {
  printf(sem1);
  printf(sem2);
  printf(sem2);
  printf(sem3);
  printf(sem2);
  printf(sem4);
  printf(sem5);
  printf(sem6);
  printf(sem7);
  printf(sem8);
  printf(sem9);
  printf(sem2);
  printf(sem2);
  printf(sem2);
  printf(sem2);
  printf(sem2);
  printf(sem2);
  printf(sem2);
  printf(sem2);
  printf(infracao);
}

void calculaNivelEscalonamento() {
  float razao;
  if(fluxoNS != 0){
    razao = fluxoLO/fluxoNS;
    if(razao >= 2){
      if(fluxoLO > fluxoNS){
        nivelEscalonamento = 1;
      } else {
        nivelEscalonamento = 5;
      }
    } else if(razao >= 1.5 && razao < 2){
      if(fluxoLO > fluxoNS){
        nivelEscalonamento = 2;
      } else {
        nivelEscalonamento = 4;
      }
    } else {
      nivelEscalonamento = 3;
    }
  }  
}

void principal() {
  _asm {
    mov	dx, PORTA_ESCRITA
    mov	al, 00000010b //abre LO e fecha(acende) NS
    out	dx, al
  }
  nivelEscalonamento = 3;
  sinalLOFechado = 1;
  tempoLO = 30;
  tempoNS = 30;
  printf(mudancaNivel);
  imprimeMapa();
  
}



int main() {
  char opcao1, opcao2 = '1';  //opcoes digitadas pelo usuario nos menus        

  printf(msgInicial);
  printf(descricao);
  printf(integrantes);
  printf(opcoes);
  printf(select);

  while (1) {
    scanf("%c", &opcao1);
    if (opcao1 == '1') {
      printf(telaSinal);
      principal();
      break;
    } else if (opcao1 == '2') {
      printf(telaPorta);
      printf(selectPorta);
      while (1) {
        scanf("%c", &opcao2);
        if (opcao2 == '1') {
          porta_leitura = 0x378;
          porta_escrita = 0x379;
          break;
        } else if (opcao2 == '2') {
          porta_leitura = 0x278;
          porta_escrita = 0x279;
          break;
        } else if (opcao2 == '3') {
          porta_leitura = 0x3BC;
          porta_escrita = 0x3BD;
          break;
        } else if (opcao2 == '4') {
          porta_leitura = 0x2BC;
          porta_escrita = 0x2BD;
          break;
        } /*else {
          printf(opcaoInvalida);
          printf(selectPorta);
        }*/
      }
      printf(opcoes);
      printf(select);
    } else if (opcao1 == '3') {
      exit(0);
    } /*else if (opcao1 != '1' && opcao1 != '2' && opcao1 != '3') {
      printf(opcaoInvalida);
      printf(select);
    }*/
  }

}
