@echo off
if "%1"=="-r" goto run
if "%1"=="-c" goto compile
if "%1"=="-d" goto del

echo.
echo JMake por VBA, SLSO, DMG, DMVB
echo.
echo Sintaxe:
echo     jmake -c             : Compila o Controlador de Microondas
echo     jmake -r client host : Roda o cliente
echo     jmake -r server      : Roda o servidor
echo     jmake -d             : Apaga as libraries, classes, headers e objects
goto end

:compile
set path=%path%;p:\jdk1.4.0\bin;C:\Program Files\Microsoft Visual Studio\VC98\Bin
echo.
echo Preparando o ambiente...
call vcvars32.bat
echo.
echo Compilando...
javac -d ./classes *.java
rmic -d ./classes -classpath ./classes remote.MicroondasImpl
javah -jni -classpath ./classes -d ./remote remote.Fachada
cl -IP:\jdk1.4.0\include -IP:\jdk1.4.0\include\win32 -LD remote\Fachada.c -Felib\microondas.dll
move *.obj lib\
goto end
echo.


:runclient
echo Executando o cliente...
java -Djava.library.path=./lib -cp ./classes MicroondasClient %3
goto end

:runserver
echo Executando o servidor...
java -Djava.library.path=./lib -cp ./classes MicroondasServer
goto end

:del
echo.
echo Deletando as libraries, classes, headers e objects...
del/s lib\*.dll >nul
del/s lib\*.obj >nul
del/s lib\*.lib >nul
del/s lib\*.exp >nul
del/s classes\*.class >nul
del/s remote\*.h >nul

:run
set path=%path%;p:\jdk1.4.0\bin;C:\Program Files\Microsoft Visual Studio\VC98\Bin
if "%2"=="client" goto runclient
if "%2"=="server" goto runserver

:end
echo.
