section .data                           ;section declaration

msg     db      "Hello, world!!!!",0xA     ;our dear string
len     equ     $ - msg                 ;length of our dear string

section .text           ; Code must resides in the ".text" in GCC.
global  xexit           ; Declare xexit() as a public function.

xexit:
        mov     eax,4   ;system call number (sys_write)
        mov     ebx,1   ;first argument: file handle (stdout)
        mov     ecx,msg ;second argument: pointer to message to write
        mov     edx,len ;third argument: message length
        int     0x80    ;call kernel

        mov     ebp, esp                ; Now, [ ebp ] points return address.
                                        ; and [ ebp+4 ] points 1st argument.

        mov     ebx, [ ebp + 4 ]        ; Read status code.
        mov     eax, 1                ; Call sys_exit().
        int     0x80
                                        ; Never returns.
